// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.13.0
// source: v1/guardian.proto

package v1

import (
	proto "github.com/golang/protobuf/proto"
	status "google.golang.org/genproto/googleapis/rpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type RPoint struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	X float32 `protobuf:"fixed32,1,opt,name=x,proto3" json:"x,omitempty"`
	Y float32 `protobuf:"fixed32,2,opt,name=y,proto3" json:"y,omitempty"`
}

func (x *RPoint) Reset() {
	*x = RPoint{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RPoint) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RPoint) ProtoMessage() {}

func (x *RPoint) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RPoint.ProtoReflect.Descriptor instead.
func (*RPoint) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{0}
}

func (x *RPoint) GetX() float32 {
	if x != nil {
		return x.X
	}
	return 0
}

func (x *RPoint) GetY() float32 {
	if x != nil {
		return x.Y
	}
	return 0
}

type Point struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	X int64 `protobuf:"varint,1,opt,name=x,proto3" json:"x,omitempty"`
	Y int64 `protobuf:"varint,2,opt,name=y,proto3" json:"y,omitempty"`
}

func (x *Point) Reset() {
	*x = Point{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Point) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Point) ProtoMessage() {}

func (x *Point) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Point.ProtoReflect.Descriptor instead.
func (*Point) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{1}
}

func (x *Point) GetX() int64 {
	if x != nil {
		return x.X
	}
	return 0
}

func (x *Point) GetY() int64 {
	if x != nil {
		return x.Y
	}
	return 0
}

type Object struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         int64    `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Label      []string `protobuf:"bytes,2,rep,name=label,proto3" json:"label,omitempty"`
	Confidence float32  `protobuf:"fixed32,3,opt,name=confidence,proto3" json:"confidence,omitempty"`
	Min        *RPoint  `protobuf:"bytes,4,opt,name=min,proto3" json:"min,omitempty"`
	Max        *RPoint  `protobuf:"bytes,5,opt,name=max,proto3" json:"max,omitempty"`
}

func (x *Object) Reset() {
	*x = Object{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Object) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Object) ProtoMessage() {}

func (x *Object) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Object.ProtoReflect.Descriptor instead.
func (*Object) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{2}
}

func (x *Object) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Object) GetLabel() []string {
	if x != nil {
		return x.Label
	}
	return nil
}

func (x *Object) GetConfidence() float32 {
	if x != nil {
		return x.Confidence
	}
	return 0
}

func (x *Object) GetMin() *RPoint {
	if x != nil {
		return x.Min
	}
	return nil
}

func (x *Object) GetMax() *RPoint {
	if x != nil {
		return x.Max
	}
	return nil
}

type Fence struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          int64            `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Type        string           `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	Name        string           `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	ChannelUuid string           `protobuf:"bytes,4,opt,name=channel_uuid,json=channelUuid,proto3" json:"channel_uuid,omitempty"`
	FlowTo      map[int64]string `protobuf:"bytes,5,rep,name=flow_to,json=flowTo,proto3" json:"flow_to,omitempty" protobuf_key:"varint,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// line
	P1 *RPoint `protobuf:"bytes,6,opt,name=p1,proto3" json:"p1,omitempty"`
	P2 *RPoint `protobuf:"bytes,7,opt,name=p2,proto3" json:"p2,omitempty"`
	// box
	Min *RPoint `protobuf:"bytes,8,opt,name=min,proto3" json:"min,omitempty"`
	Max *RPoint `protobuf:"bytes,9,opt,name=max,proto3" json:"max,omitempty"`
	// polygon
	Points []*RPoint `protobuf:"bytes,10,rep,name=points,proto3" json:"points,omitempty"`
	// box, polygon setting
	CoolDown uint64 `protobuf:"varint,11,opt,name=cool_down,json=coolDown,proto3" json:"cool_down,omitempty"`
	Mode     string `protobuf:"bytes,12,opt,name=mode,proto3" json:"mode,omitempty"`
}

func (x *Fence) Reset() {
	*x = Fence{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Fence) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Fence) ProtoMessage() {}

func (x *Fence) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Fence.ProtoReflect.Descriptor instead.
func (*Fence) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{3}
}

func (x *Fence) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Fence) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *Fence) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Fence) GetChannelUuid() string {
	if x != nil {
		return x.ChannelUuid
	}
	return ""
}

func (x *Fence) GetFlowTo() map[int64]string {
	if x != nil {
		return x.FlowTo
	}
	return nil
}

func (x *Fence) GetP1() *RPoint {
	if x != nil {
		return x.P1
	}
	return nil
}

func (x *Fence) GetP2() *RPoint {
	if x != nil {
		return x.P2
	}
	return nil
}

func (x *Fence) GetMin() *RPoint {
	if x != nil {
		return x.Min
	}
	return nil
}

func (x *Fence) GetMax() *RPoint {
	if x != nil {
		return x.Max
	}
	return nil
}

func (x *Fence) GetPoints() []*RPoint {
	if x != nil {
		return x.Points
	}
	return nil
}

func (x *Fence) GetCoolDown() uint64 {
	if x != nil {
		return x.CoolDown
	}
	return 0
}

func (x *Fence) GetMode() string {
	if x != nil {
		return x.Mode
	}
	return ""
}

// Method:  GET
// URL:     /v1/support/type/channel/fence
type SupportFenceTypeResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Types  []string       `protobuf:"bytes,1,rep,name=types,proto3" json:"types,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *SupportFenceTypeResponse) Reset() {
	*x = SupportFenceTypeResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SupportFenceTypeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SupportFenceTypeResponse) ProtoMessage() {}

func (x *SupportFenceTypeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SupportFenceTypeResponse.ProtoReflect.Descriptor instead.
func (*SupportFenceTypeResponse) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{4}
}

func (x *SupportFenceTypeResponse) GetTypes() []string {
	if x != nil {
		return x.Types
	}
	return nil
}

func (x *SupportFenceTypeResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method:  GET
// URL:     /v1/support/type/channel/fence/mode
type SupportFenceModeResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Modes  []string       `protobuf:"bytes,1,rep,name=modes,proto3" json:"modes,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *SupportFenceModeResponse) Reset() {
	*x = SupportFenceModeResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SupportFenceModeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SupportFenceModeResponse) ProtoMessage() {}

func (x *SupportFenceModeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SupportFenceModeResponse.ProtoReflect.Descriptor instead.
func (*SupportFenceModeResponse) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{5}
}

func (x *SupportFenceModeResponse) GetModes() []string {
	if x != nil {
		return x.Modes
	}
	return nil
}

func (x *SupportFenceModeResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method:  POST
// URL:     /v1/channels/:uuid/fences
type CreateFenceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type     string    `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Name     string    `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	P1       *RPoint   `protobuf:"bytes,3,opt,name=p1,proto3" json:"p1,omitempty"`
	P2       *RPoint   `protobuf:"bytes,4,opt,name=p2,proto3" json:"p2,omitempty"`
	Min      *RPoint   `protobuf:"bytes,5,opt,name=min,proto3" json:"min,omitempty"`
	Max      *RPoint   `protobuf:"bytes,6,opt,name=max,proto3" json:"max,omitempty"`
	Points   []*RPoint `protobuf:"bytes,7,rep,name=points,proto3" json:"points,omitempty"`
	CoolDown uint64    `protobuf:"varint,8,opt,name=cool_down,json=coolDown,proto3" json:"cool_down,omitempty"`
	Mode     string    `protobuf:"bytes,9,opt,name=mode,proto3" json:"mode,omitempty"`
}

func (x *CreateFenceRequest) Reset() {
	*x = CreateFenceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateFenceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateFenceRequest) ProtoMessage() {}

func (x *CreateFenceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateFenceRequest.ProtoReflect.Descriptor instead.
func (*CreateFenceRequest) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{6}
}

func (x *CreateFenceRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *CreateFenceRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *CreateFenceRequest) GetP1() *RPoint {
	if x != nil {
		return x.P1
	}
	return nil
}

func (x *CreateFenceRequest) GetP2() *RPoint {
	if x != nil {
		return x.P2
	}
	return nil
}

func (x *CreateFenceRequest) GetMin() *RPoint {
	if x != nil {
		return x.Min
	}
	return nil
}

func (x *CreateFenceRequest) GetMax() *RPoint {
	if x != nil {
		return x.Max
	}
	return nil
}

func (x *CreateFenceRequest) GetPoints() []*RPoint {
	if x != nil {
		return x.Points
	}
	return nil
}

func (x *CreateFenceRequest) GetCoolDown() uint64 {
	if x != nil {
		return x.CoolDown
	}
	return 0
}

func (x *CreateFenceRequest) GetMode() string {
	if x != nil {
		return x.Mode
	}
	return ""
}

type CreateFenceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Fence  *Fence         `protobuf:"bytes,1,opt,name=fence,proto3" json:"fence,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *CreateFenceResponse) Reset() {
	*x = CreateFenceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateFenceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateFenceResponse) ProtoMessage() {}

func (x *CreateFenceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateFenceResponse.ProtoReflect.Descriptor instead.
func (*CreateFenceResponse) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{7}
}

func (x *CreateFenceResponse) GetFence() *Fence {
	if x != nil {
		return x.Fence
	}
	return nil
}

func (x *CreateFenceResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method:  GET
// URL:     /v1/channels/:uuid/fences
type ListFenceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Fences []*Fence       `protobuf:"bytes,1,rep,name=fences,proto3" json:"fences,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *ListFenceResponse) Reset() {
	*x = ListFenceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListFenceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListFenceResponse) ProtoMessage() {}

func (x *ListFenceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListFenceResponse.ProtoReflect.Descriptor instead.
func (*ListFenceResponse) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{8}
}

func (x *ListFenceResponse) GetFences() []*Fence {
	if x != nil {
		return x.Fences
	}
	return nil
}

func (x *ListFenceResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method:  PUT
// URL:     /v1/channels/:uuid/fences/:id
type UpdateFenceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name     string           `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	P1       *RPoint          `protobuf:"bytes,2,opt,name=p1,proto3" json:"p1,omitempty"`
	P2       *RPoint          `protobuf:"bytes,3,opt,name=p2,proto3" json:"p2,omitempty"`
	Min      *RPoint          `protobuf:"bytes,4,opt,name=min,proto3" json:"min,omitempty"`
	Max      *RPoint          `protobuf:"bytes,5,opt,name=max,proto3" json:"max,omitempty"`
	Points   []*RPoint        `protobuf:"bytes,6,rep,name=points,proto3" json:"points,omitempty"`
	CoolDown uint64           `protobuf:"varint,7,opt,name=cool_down,json=coolDown,proto3" json:"cool_down,omitempty"`
	Mode     string           `protobuf:"bytes,8,opt,name=mode,proto3" json:"mode,omitempty"`
	FlowTo   map[int64]string `protobuf:"bytes,9,rep,name=flow_to,json=flowTo,proto3" json:"flow_to,omitempty" protobuf_key:"varint,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *UpdateFenceRequest) Reset() {
	*x = UpdateFenceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateFenceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateFenceRequest) ProtoMessage() {}

func (x *UpdateFenceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateFenceRequest.ProtoReflect.Descriptor instead.
func (*UpdateFenceRequest) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{9}
}

func (x *UpdateFenceRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *UpdateFenceRequest) GetP1() *RPoint {
	if x != nil {
		return x.P1
	}
	return nil
}

func (x *UpdateFenceRequest) GetP2() *RPoint {
	if x != nil {
		return x.P2
	}
	return nil
}

func (x *UpdateFenceRequest) GetMin() *RPoint {
	if x != nil {
		return x.Min
	}
	return nil
}

func (x *UpdateFenceRequest) GetMax() *RPoint {
	if x != nil {
		return x.Max
	}
	return nil
}

func (x *UpdateFenceRequest) GetPoints() []*RPoint {
	if x != nil {
		return x.Points
	}
	return nil
}

func (x *UpdateFenceRequest) GetCoolDown() uint64 {
	if x != nil {
		return x.CoolDown
	}
	return 0
}

func (x *UpdateFenceRequest) GetMode() string {
	if x != nil {
		return x.Mode
	}
	return ""
}

func (x *UpdateFenceRequest) GetFlowTo() map[int64]string {
	if x != nil {
		return x.FlowTo
	}
	return nil
}

type UpdateFenceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Fence  *Fence         `protobuf:"bytes,1,opt,name=fence,proto3" json:"fence,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *UpdateFenceResponse) Reset() {
	*x = UpdateFenceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateFenceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateFenceResponse) ProtoMessage() {}

func (x *UpdateFenceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateFenceResponse.ProtoReflect.Descriptor instead.
func (*UpdateFenceResponse) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{10}
}

func (x *UpdateFenceResponse) GetFence() *Fence {
	if x != nil {
		return x.Fence
	}
	return nil
}

func (x *UpdateFenceResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method:  DELETE
// URL:     /v1/channels/:uuid/fences/:id
type DeleteFenceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Fence  *Fence         `protobuf:"bytes,1,opt,name=fence,proto3" json:"fence,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *DeleteFenceResponse) Reset() {
	*x = DeleteFenceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_guardian_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteFenceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteFenceResponse) ProtoMessage() {}

func (x *DeleteFenceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_guardian_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteFenceResponse.ProtoReflect.Descriptor instead.
func (*DeleteFenceResponse) Descriptor() ([]byte, []int) {
	return file_v1_guardian_proto_rawDescGZIP(), []int{11}
}

func (x *DeleteFenceResponse) GetFence() *Fence {
	if x != nil {
		return x.Fence
	}
	return nil
}

func (x *DeleteFenceResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

var File_v1_guardian_proto protoreflect.FileDescriptor

var file_v1_guardian_proto_rawDesc = []byte{
	0x0a, 0x11, 0x76, 0x31, 0x2f, 0x67, 0x75, 0x61, 0x72, 0x64, 0x69, 0x61, 0x6e, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x19, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x1a, 0x1e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x24,
	0x0a, 0x06, 0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x0c, 0x0a, 0x01, 0x78, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x02, 0x52, 0x01, 0x78, 0x12, 0x0c, 0x0a, 0x01, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x02, 0x52, 0x01, 0x79, 0x22, 0x23, 0x0a, 0x05, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x0c, 0x0a,
	0x01, 0x78, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x01, 0x78, 0x12, 0x0c, 0x0a, 0x01, 0x79,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x01, 0x79, 0x22, 0xb8, 0x01, 0x0a, 0x06, 0x4f, 0x62,
	0x6a, 0x65, 0x63, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x18, 0x02, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x6f,
	0x6e, 0x66, 0x69, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0a,
	0x63, 0x6f, 0x6e, 0x66, 0x69, 0x64, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x33, 0x0a, 0x03, 0x6d, 0x69,
	0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x03, 0x6d, 0x69, 0x6e, 0x12,
	0x33, 0x0a, 0x03, 0x6d, 0x61, 0x78, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74,
	0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77,
	0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52,
	0x03, 0x6d, 0x61, 0x78, 0x22, 0xa0, 0x04, 0x0a, 0x05, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12,
	0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65,
	0x6c, 0x5f, 0x75, 0x75, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x63, 0x68,
	0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x55, 0x75, 0x69, 0x64, 0x12, 0x45, 0x0a, 0x07, 0x66, 0x6c, 0x6f,
	0x77, 0x5f, 0x74, 0x6f, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x74, 0x6f, 0x75,
	0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x2e, 0x46, 0x6c, 0x6f,
	0x77, 0x54, 0x6f, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x66, 0x6c, 0x6f, 0x77, 0x54, 0x6f,
	0x12, 0x31, 0x0a, 0x02, 0x70, 0x31, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74,
	0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77,
	0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52,
	0x02, 0x70, 0x31, 0x12, 0x31, 0x0a, 0x02, 0x70, 0x32, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e,
	0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69,
	0x6e, 0x74, 0x52, 0x02, 0x70, 0x32, 0x12, 0x33, 0x0a, 0x03, 0x6d, 0x69, 0x6e, 0x18, 0x08, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e,
	0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x03, 0x6d, 0x69, 0x6e, 0x12, 0x33, 0x0a, 0x03, 0x6d,
	0x61, 0x78, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x03, 0x6d, 0x61, 0x78,
	0x12, 0x39, 0x0a, 0x06, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x73, 0x18, 0x0a, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62,
	0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f,
	0x69, 0x6e, 0x74, 0x52, 0x06, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x73, 0x12, 0x1b, 0x0a, 0x09, 0x63,
	0x6f, 0x6f, 0x6c, 0x5f, 0x64, 0x6f, 0x77, 0x6e, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x04, 0x52, 0x08,
	0x63, 0x6f, 0x6f, 0x6c, 0x44, 0x6f, 0x77, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x6f, 0x64, 0x65,
	0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x6f, 0x64, 0x65, 0x1a, 0x39, 0x0a, 0x0b,
	0x46, 0x6c, 0x6f, 0x77, 0x54, 0x6f, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x5c, 0x0a, 0x18, 0x53, 0x75, 0x70, 0x70, 0x6f,
	0x72, 0x74, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x09, 0x52, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x5c, 0x0a, 0x18, 0x53, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74,
	0x46, 0x65, 0x6e, 0x63, 0x65, 0x4d, 0x6f, 0x64, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x14, 0x0a, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09,
	0x52, 0x05, 0x6d, 0x6f, 0x64, 0x65, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x22, 0xf8, 0x02, 0x0a, 0x12, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x46, 0x65,
	0x6e, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x12,
	0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x12, 0x31, 0x0a, 0x02, 0x70, 0x31, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21,
	0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68,
	0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e,
	0x74, 0x52, 0x02, 0x70, 0x31, 0x12, 0x31, 0x0a, 0x02, 0x70, 0x32, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70,
	0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50,
	0x6f, 0x69, 0x6e, 0x74, 0x52, 0x02, 0x70, 0x32, 0x12, 0x33, 0x0a, 0x03, 0x6d, 0x69, 0x6e, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76,
	0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x03, 0x6d, 0x69, 0x6e, 0x12, 0x33, 0x0a,
	0x03, 0x6d, 0x61, 0x78, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75,
	0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x03, 0x6d,
	0x61, 0x78, 0x12, 0x39, 0x0a, 0x06, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x73, 0x18, 0x07, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52,
	0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x06, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x73, 0x12, 0x1b, 0x0a,
	0x09, 0x63, 0x6f, 0x6f, 0x6c, 0x5f, 0x64, 0x6f, 0x77, 0x6e, 0x18, 0x08, 0x20, 0x01, 0x28, 0x04,
	0x52, 0x08, 0x63, 0x6f, 0x6f, 0x6c, 0x44, 0x6f, 0x77, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x6f,
	0x64, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x6f, 0x64, 0x65, 0x22, 0x79,
	0x0a, 0x13, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x36, 0x0a, 0x05, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31,
	0x2e, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x05, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x2a, 0x0a,
	0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x79, 0x0a, 0x11, 0x4c, 0x69, 0x73,
	0x74, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x38,
	0x0a, 0x06, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x20,
	0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68,
	0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x6e, 0x63, 0x65,
	0x52, 0x06, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x22, 0xf3, 0x03, 0x0a, 0x12, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x46,
	0x65, 0x6e, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12,
	0x31, 0x0a, 0x02, 0x70, 0x31, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f,
	0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x02,
	0x70, 0x31, 0x12, 0x31, 0x0a, 0x02, 0x70, 0x32, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21,
	0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68,
	0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e,
	0x74, 0x52, 0x02, 0x70, 0x32, 0x12, 0x33, 0x0a, 0x03, 0x6d, 0x69, 0x6e, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52,
	0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x03, 0x6d, 0x69, 0x6e, 0x12, 0x33, 0x0a, 0x03, 0x6d, 0x61,
	0x78, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x52, 0x03, 0x6d, 0x61, 0x78, 0x12,
	0x39, 0x0a, 0x06, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e,
	0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x50, 0x6f, 0x69,
	0x6e, 0x74, 0x52, 0x06, 0x70, 0x6f, 0x69, 0x6e, 0x74, 0x73, 0x12, 0x1b, 0x0a, 0x09, 0x63, 0x6f,
	0x6f, 0x6c, 0x5f, 0x64, 0x6f, 0x77, 0x6e, 0x18, 0x07, 0x20, 0x01, 0x28, 0x04, 0x52, 0x08, 0x63,
	0x6f, 0x6f, 0x6c, 0x44, 0x6f, 0x77, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x6f, 0x64, 0x65, 0x18,
	0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x6f, 0x64, 0x65, 0x12, 0x52, 0x0a, 0x07, 0x66,
	0x6c, 0x6f, 0x77, 0x5f, 0x74, 0x6f, 0x18, 0x09, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x39, 0x2e, 0x74,
	0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77,
	0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x46,
	0x65, 0x6e, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x46, 0x6c, 0x6f, 0x77,
	0x54, 0x6f, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x66, 0x6c, 0x6f, 0x77, 0x54, 0x6f, 0x1a,
	0x39, 0x0a, 0x0b, 0x46, 0x6c, 0x6f, 0x77, 0x54, 0x6f, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10,
	0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x03, 0x6b, 0x65, 0x79,
	0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x79, 0x0a, 0x13, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x36, 0x0a, 0x05, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x20, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62,
	0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x6e,
	0x63, 0x65, 0x52, 0x05, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x79, 0x0a, 0x13, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x46,
	0x65, 0x6e, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x36, 0x0a, 0x05,
	0x66, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x74, 0x6f,
	0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x05, 0x66,
	0x65, 0x6e, 0x63, 0x65, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70,
	0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x42, 0x29, 0x5a, 0x27, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x74,
	0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70, 0x62, 0x2f, 0x68, 0x61, 0x77,
	0x6b, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x3b, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_v1_guardian_proto_rawDescOnce sync.Once
	file_v1_guardian_proto_rawDescData = file_v1_guardian_proto_rawDesc
)

func file_v1_guardian_proto_rawDescGZIP() []byte {
	file_v1_guardian_proto_rawDescOnce.Do(func() {
		file_v1_guardian_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_guardian_proto_rawDescData)
	})
	return file_v1_guardian_proto_rawDescData
}

var file_v1_guardian_proto_msgTypes = make([]protoimpl.MessageInfo, 14)
var file_v1_guardian_proto_goTypes = []interface{}{
	(*RPoint)(nil),                   // 0: touchcloud.pb.hawk.api.v1.RPoint
	(*Point)(nil),                    // 1: touchcloud.pb.hawk.api.v1.Point
	(*Object)(nil),                   // 2: touchcloud.pb.hawk.api.v1.Object
	(*Fence)(nil),                    // 3: touchcloud.pb.hawk.api.v1.Fence
	(*SupportFenceTypeResponse)(nil), // 4: touchcloud.pb.hawk.api.v1.SupportFenceTypeResponse
	(*SupportFenceModeResponse)(nil), // 5: touchcloud.pb.hawk.api.v1.SupportFenceModeResponse
	(*CreateFenceRequest)(nil),       // 6: touchcloud.pb.hawk.api.v1.CreateFenceRequest
	(*CreateFenceResponse)(nil),      // 7: touchcloud.pb.hawk.api.v1.CreateFenceResponse
	(*ListFenceResponse)(nil),        // 8: touchcloud.pb.hawk.api.v1.ListFenceResponse
	(*UpdateFenceRequest)(nil),       // 9: touchcloud.pb.hawk.api.v1.UpdateFenceRequest
	(*UpdateFenceResponse)(nil),      // 10: touchcloud.pb.hawk.api.v1.UpdateFenceResponse
	(*DeleteFenceResponse)(nil),      // 11: touchcloud.pb.hawk.api.v1.DeleteFenceResponse
	nil,                              // 12: touchcloud.pb.hawk.api.v1.Fence.FlowToEntry
	nil,                              // 13: touchcloud.pb.hawk.api.v1.UpdateFenceRequest.FlowToEntry
	(*status.Status)(nil),            // 14: google.rpc.Status
}
var file_v1_guardian_proto_depIdxs = []int32{
	0,  // 0: touchcloud.pb.hawk.api.v1.Object.min:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 1: touchcloud.pb.hawk.api.v1.Object.max:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	12, // 2: touchcloud.pb.hawk.api.v1.Fence.flow_to:type_name -> touchcloud.pb.hawk.api.v1.Fence.FlowToEntry
	0,  // 3: touchcloud.pb.hawk.api.v1.Fence.p1:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 4: touchcloud.pb.hawk.api.v1.Fence.p2:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 5: touchcloud.pb.hawk.api.v1.Fence.min:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 6: touchcloud.pb.hawk.api.v1.Fence.max:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 7: touchcloud.pb.hawk.api.v1.Fence.points:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	14, // 8: touchcloud.pb.hawk.api.v1.SupportFenceTypeResponse.status:type_name -> google.rpc.Status
	14, // 9: touchcloud.pb.hawk.api.v1.SupportFenceModeResponse.status:type_name -> google.rpc.Status
	0,  // 10: touchcloud.pb.hawk.api.v1.CreateFenceRequest.p1:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 11: touchcloud.pb.hawk.api.v1.CreateFenceRequest.p2:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 12: touchcloud.pb.hawk.api.v1.CreateFenceRequest.min:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 13: touchcloud.pb.hawk.api.v1.CreateFenceRequest.max:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 14: touchcloud.pb.hawk.api.v1.CreateFenceRequest.points:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	3,  // 15: touchcloud.pb.hawk.api.v1.CreateFenceResponse.fence:type_name -> touchcloud.pb.hawk.api.v1.Fence
	14, // 16: touchcloud.pb.hawk.api.v1.CreateFenceResponse.status:type_name -> google.rpc.Status
	3,  // 17: touchcloud.pb.hawk.api.v1.ListFenceResponse.fences:type_name -> touchcloud.pb.hawk.api.v1.Fence
	14, // 18: touchcloud.pb.hawk.api.v1.ListFenceResponse.status:type_name -> google.rpc.Status
	0,  // 19: touchcloud.pb.hawk.api.v1.UpdateFenceRequest.p1:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 20: touchcloud.pb.hawk.api.v1.UpdateFenceRequest.p2:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 21: touchcloud.pb.hawk.api.v1.UpdateFenceRequest.min:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 22: touchcloud.pb.hawk.api.v1.UpdateFenceRequest.max:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	0,  // 23: touchcloud.pb.hawk.api.v1.UpdateFenceRequest.points:type_name -> touchcloud.pb.hawk.api.v1.RPoint
	13, // 24: touchcloud.pb.hawk.api.v1.UpdateFenceRequest.flow_to:type_name -> touchcloud.pb.hawk.api.v1.UpdateFenceRequest.FlowToEntry
	3,  // 25: touchcloud.pb.hawk.api.v1.UpdateFenceResponse.fence:type_name -> touchcloud.pb.hawk.api.v1.Fence
	14, // 26: touchcloud.pb.hawk.api.v1.UpdateFenceResponse.status:type_name -> google.rpc.Status
	3,  // 27: touchcloud.pb.hawk.api.v1.DeleteFenceResponse.fence:type_name -> touchcloud.pb.hawk.api.v1.Fence
	14, // 28: touchcloud.pb.hawk.api.v1.DeleteFenceResponse.status:type_name -> google.rpc.Status
	29, // [29:29] is the sub-list for method output_type
	29, // [29:29] is the sub-list for method input_type
	29, // [29:29] is the sub-list for extension type_name
	29, // [29:29] is the sub-list for extension extendee
	0,  // [0:29] is the sub-list for field type_name
}

func init() { file_v1_guardian_proto_init() }
func file_v1_guardian_proto_init() {
	if File_v1_guardian_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_guardian_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RPoint); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Point); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Object); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Fence); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SupportFenceTypeResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SupportFenceModeResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateFenceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateFenceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListFenceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateFenceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateFenceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_guardian_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteFenceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_guardian_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   14,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_guardian_proto_goTypes,
		DependencyIndexes: file_v1_guardian_proto_depIdxs,
		MessageInfos:      file_v1_guardian_proto_msgTypes,
	}.Build()
	File_v1_guardian_proto = out.File
	file_v1_guardian_proto_rawDesc = nil
	file_v1_guardian_proto_goTypes = nil
	file_v1_guardian_proto_depIdxs = nil
}
